%global pypi_name mccabe
%global commitId 835a5400881b7460998be51d871fd36f836db3c9

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.7.0
Release:        1%{?dist}
Summary:        McCabe checker, plugin for flake8

License:        MIT
URL:            https://github.com/PyCQA/mccabe
Source0:        python-mccabe-835a5400881b7460998be51d871fd36f836db3c9.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
Ned's script to check McCabe complexity.

This module provides a plugin for flake8, the Python code
checker.}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/%{pypi_name}.*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Apr 03 2023 Satoe Imaishi <simaishi@redhat.com> - 0.7.0-1
- Initial build
